unit FMain;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, uFacadeController;

type
  TfrmMain = class(TForm)
    Label1: TLabel;
    cmbJogos: TComboBox;
    btnLigar: TButton;
    btnDesligar: TButton;
    mmAcao: TMemo;
    Label2: TLabel;
    procedure btnLigarClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure btnDesligarClick(Sender: TObject);
  private
    oFacadeController : TFacadeController;
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.dfm}

procedure TfrmMain.btnDesligarClick(Sender: TObject);
begin
  oFacadeController.controlar(cmbJogos.Text, mmAcao, False);
end;

procedure TfrmMain.btnLigarClick(Sender: TObject);
begin
  oFacadeController.controlar(cmbJogos.Text, mmAcao, True);
end;

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  oFacadeController := TFacadeController.Create;
end;

procedure TfrmMain.FormDestroy(Sender: TObject);
begin
  oFacadeController.Destroy;
end;

end.
