﻿namespace WFACommands;

interface

uses
  System.Drawing,
  System.Collections,
  System.Collections.Generic,
  System.Windows.Forms,
  System.ComponentModel,
  System.Data.SqlClient,
  System.Data;

type
  /// <summary>
  /// Summary description for MainForm.
  /// </summary>
  MainForm = partial class(System.Windows.Forms.Form)
  private
      method MainForm_Load(sender: System.Object; e: System.EventArgs);
      var xsqlCn:SqlConnection:= new SqlConnection();
      var xsqlCm:SqlCommand:= new SqlCommand();

      method toolStripButton1_Click(sender: System.Object; e: System.EventArgs);
      method toolStripButton2_Click(sender: System.Object; e: System.EventArgs);
      method toolStripButton3_Click(sender: System.Object; e: System.EventArgs);
      method toolStripButton4_Click(sender: System.Object; e: System.EventArgs);
  protected
    method Dispose(disposing: Boolean); override;
  public
    constructor;
  end;

implementation

{$REGION Construction and Disposition}
constructor MainForm;
begin
  //
  // Required for Windows Form Designer support
  //
  InitializeComponent();

  //
  // TODO: Add any constructor code after InitializeComponent call
  //
end;

method MainForm.Dispose(disposing: Boolean);
begin
  if disposing then begin
    if assigned(components) then
      components.Dispose();

    //
    // TODO: Add custom disposition code here
    //
  end;
  inherited Dispose(disposing);
end;
{$ENDREGION}

method MainForm.MainForm_Load(sender: System.Object; e: System.EventArgs);
begin
  {$region Criar a Conexão}
   xsqlCn.ConnectionString := 
   "Data Source=Technologies\sql2008; Initial Catalog=AdventureWorks; "+
   "Integrated Security=false; User Id=sa; password=123456";
   xsqlCn.Open();
   
   if (xsqlCn.State <> System.Data.ConnectionState.Open) then
   begin
     MessageBox.Show("Aplicação não conectada com o banco de dados",
                     "Atenção", MessageBoxButtons.OK, MessageBoxIcon.Error);
     exit;
   end;

   {$endregion}   
  
end;

method MainForm.toolStripButton1_Click(sender: System.Object; e: System.EventArgs);
begin
  lbxContact.Items.Clear();
  {$region Preparar o Command}
  xsqlCm.Connection := xsqlCn;
  xsqlCm.CommandType:= CommandType.Text;
  xsqlCm.CommandText:= 
            "SELECT FirstName +' '+ MiddleName +' ' + LastName  as Name "+
            "FROM [Person].[Contact] " +
            "WHERE ISNULL(MiddleName,'0')<>'0' " +
                                 "ORDER BY FirstName ";
  {$endregion}   


  {$region Criar o DataReader}
  var xsqldr:SqlDataReader;
  xsqldr:= xsqlCm.ExecuteReader();
  while (xsqldr.Read()) do 
    lbxContact.Items.Add(xsqldr["Name"]);

  xsqldr.Close();
  {$endregion} 
end;

method MainForm.toolStripButton2_Click(sender: System.Object; e: System.EventArgs);
begin
  lbxContact.Items.Clear();
  {$region Preparar o Command}
  xsqlCm.Connection := xsqlCn;
  xsqlCm.CommandType:= CommandType.Text;
  xsqlCm.CommandText:= "UPDATE [PERSON].[CONTACT] SET FIRSTNAME='DarioPrism'," +
                                 "MIDDLENAME='Martins Bueno'," +
                                 "LASTNAME='Leandro' " +
                                 "WHERE CONTACTID=508";
  
  var xresult:Int32 := xsqlCm.ExecuteNonQuery();
  if (xresult > 0) then 
     lbxContact.Items.Add("Registro atualizado");
  {$endregion}
            
end;

method MainForm.toolStripButton3_Click(sender: System.Object; e: System.EventArgs);
begin
  {$region Preparar o Command}
  xsqlCm.Connection:= xsqlCn;
  xsqlCm.CommandType:= CommandType.Text;
  xsqlCm.CommandText:= "SELECT COUNT(*) FROM [PERSON].[CONTACT]";
  var xresult: Int32:= Convert.ToInt32( xsqlCm.ExecuteScalar());
  lbxContact.Items.Add("Total de registros :" + xresult.ToString());
  {$endregion}
end;

method MainForm.toolStripButton4_Click(sender: System.Object; e: System.EventArgs);
begin
  {$region Preparar o command}
  xsqlCm.Connection := xsqlCn;
  xsqlCm.CommandType := CommandType.Text;
  xsqlCm.CommandText := "SELECT AdditionalContactInfo FROM [Person].[Contact] ";
  var xxml:System.Xml.XmlReader:= xsqlCm.ExecuteXmlReader();
  while(xxml.Read()) do begin
     case (xxml.NodeType) of
        System.Xml.XmlNodeType.Element:lbxContact.Items.Add(xxml.Name);
        System.Xml.XmlNodeType.Text:lbxContact.Items.Add(xxml.Value);
        System.Xml.XmlNodeType.ProcessingInstruction:lbxContact.Items.Add(xxml.Name +  xxml.Value);
        System.Xml.XmlNodeType.Comment:lbxContact.Items.Add(xxml.Value);
        System.Xml.XmlNodeType.EndElement:lbxContact.Items.Add("----------------------------");                      
      end;
   end;    
   {$endregion}
end;

end.
