unit uTv;

interface

uses uCaixaSom;

type
  TTv = class
  private
    fDescricao : string;

    oCaixaSom : TCaixaSom;
  public
    property Descricao : string read fDescricao write fDescricao;
    property CaixaSom : TCaixaSom read oCaixaSom write oCaixaSom;

    function ligar : string;
    function desligar : string;

    function setCaixaSom(aCaixaSom : TCaixaSom) : string;

    constructor Create(aDescricao : string);
  end;

implementation

{ TTv }

constructor TTv.Create(aDescricao: string);
begin
  Descricao := aDescricao;
end;

function TTv.desligar: string;
begin
  Result := Descricao + ' est desligada.';
end;

function TTv.ligar: string;
begin
  Result := Descricao + ' est ligada.';
end;

function TTv.setCaixaSom(aCaixaSom: TCaixaSom): string;
begin
  CaixaSom := aCaixaSom;
  Result := 'Configurando ' + CaixaSom.Descricao + ' para ' + Descricao;
end;

end.
