unit uCaixaSom;

interface

type
  TCaixaSom = class
  private
    fDescricao : string;
  public
    property Descricao : string read fDescricao write fDescricao;

    function ligar : string;
    function desligar : string;

    constructor Create(aDescricao : string);
  end;

implementation

{ TCaixaSom }

constructor TCaixaSom.Create(aDescricao: string);
begin
  Descricao := aDescricao;
end;

function TCaixaSom.desligar: string;
begin
  Result := Descricao + ' est desligada.';
end;

function TCaixaSom.ligar: string;
begin
  Result := Descricao + ' est ligada.';
end;

end.
