unit uJoyStick;

interface

type
  TJoyStick = class
  private
    fDescricao : string;
  public
    property Descricao : string read fDescricao write fDescricao;

    function ligar : string;
    function desligar : string;

    constructor Create(aDescricao : string);
  end;

implementation

{ TJoyStick }

constructor TJoyStick.Create(aDescricao: string);
begin
  Descricao := aDescricao;
end;

function TJoyStick.desligar: string;
begin
  Result := Descricao + ' est desligado.';
end;

function TJoyStick.ligar: string;
begin
  Result := Descricao + ' est ligado.';
end;

end.

